@echo OFF
rem  * *******************************************************************
rem  *               CBLRMPE1.cmd - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2019 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text    - COBOL doing text parsing with reference modification
rem  * Author  - SimoTime Technologies
rem  * Date    - November 11, 2003
rem  * Version - 06.07.16
rem  *
rem  * This set of programs illustrate the use a COBOL program to use
rem  * reference modification to parse a string of text by keyword.
rem  *
rem  * When running with Net Express the IBMCOMP an NOTRUNC directives
rem  * will be required to maintain compatability with the mainframe
rem  * format and field sizes for binary fields.
rem  *
rem  * This technique provides for the use of a single COBOL source
rem  * program that will run on OS/390, Windows or Unix.
rem  *
rem  * This set of programs will run on a Personal Computer with Windows
rem  * and Micro Focus Net Express.
rem  *
rem  *   ************
rem  *   * CBLRMPE1 *
rem  *   ********cmd*
rem  *        *
rem  *   ************     ************     ************
rem  *   *   call   ******* SIMONOTE ******* CONSOLE  *
rem  *   ********exe*     ********cmd*  *  ************
rem  *        *                         *
rem  *        *                         *  ************
rem  *        *                         ****  SYSLOG  *
rem  *        *                            *******data*
rem  *        *
rem  *        *
rem  *   ************     ************     ************
rem  *   *   run    ******* CBLRMPC1 ******* CONSOLE  *
rem  *   ************     ********cbl*     ************
rem  *        *                *
rem  *        *                *
rem  *        *           ************
rem  *        *           * SIMOPARS *
rem  *        *           ********cbl*
rem  *   ************
rem  *   *   EOJ    *
rem  *   ************
rem  *
rem  * ********************************************************************
rem  * Step   1 of 2  Set the global environment variables...
rem  *
     setlocal
     call ..\Env1BASE
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
     set CmdName=CblRmpE1
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting JobName %CmdName%"
rem  * ********************************************************************
rem  * Step   2 of 2  Execute the sample program...
rem  *
     run CblRmpC1
     if ERRORLEVEL = 0 goto :EojAOK
     set JobStatus=0010
     goto :EojNOK
:EojAOK
     call SimoNOTE "Finished JobName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNOK
     call SimoNOTE "ABENDING JobName %CmdName%, Job Status is %JobStatus%"
     goto :End
:End
     call SimoNOTE "Conclude SysLog is %SYSLOG%"
     if not "%1" == "nopause" pause
     endlocal
